FROM python:3.7

# Set environment variables
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

RUN apt update && apt install -y \
      libsqlite3-mod-spatialite \
      python3-gdal \
  && rm -rf /var/lib/apt/lists/* 

RUN mkdir /app && chown 1000:1000 /app
WORKDIR /app

COPY requirements.txt /app/
RUN pip install -r requirements.txt

COPY . /code/

USER 1000
